SearchHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.SearchHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class SearchHandler

    java.lang.Object
      org.apache.solr.handler.RequestHandlerBase
          org.apache.solr.handler.component.SearchHandler

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler, PluginInfoInitialized, SolrCoreAware

Direct Known Subclasses:
  StandardRequestHandler

    public class SearchHandler

extends RequestHandlerBase
implements SolrCoreAware, PluginInfoInitialized

Refer SOLR-281

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`protected List<SearchComponent>` | `components`
`protected static org.slf4j.Logger` | `log`

Fields inherited from class org.apache.solr.handler.RequestHandlerBase
`appends, defaults, httpCaching, initArgs, invariants`

Constructor Summary
`SearchHandler()`

Method Summary
`List<SearchComponent>` | `getComponents()`
`protected List<String>` | `getDefaultComponents()`
`String` | `getDescription()` Simple one or two line description
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
`void` | `inform(SolrCore core)` Initialize the components based on name.
`void` | `init(PluginInfo info)`

Methods inherited from class org.apache.solr.handler.RequestHandlerBase
`getCategory, getDocs, getInitArgs, getName, getStatistics, handleRequest, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.slf4j.Logger log

### components

    protected List<SearchComponent> components

Constructor Detail

### SearchHandler

    public SearchHandler()

Method Detail

### getDefaultComponents

    protected List<String> getDefaultComponents()

### init

    public void init(PluginInfo info)

  Specified by:
    `init` in interface `PluginInfoInitialized`

### inform

    public void inform(SolrCore core)

  Initialize the components based on name. Note, if using `INIT_FIRST_COMPONENTS` or `INIT_LAST_COMPONENTS`, then the `DebugComponent` will always occur last. If this is not desired, then one must explicitly declare all components using the `INIT_COMPONENTS` syntax.

  Specified by:
    `inform` in interface `SolrCoreAware`

### getComponents

    public List<SearchComponent> getComponents()

### handleRequestBody

    public void handleRequestBody(SolrQueryRequest req,
                                  SolrQueryResponse rsp)
                           throws Exception,
                                  ParseException,
                                  InstantiationException,
                                  IllegalAccessException

  Specified by:
    `handleRequestBody` in class `RequestHandlerBase`
  Throws:
    `Exception`
    `ParseException`
    `InstantiationException`
    `IllegalAccessException`

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `RequestHandlerBase`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `RequestHandlerBase`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `RequestHandlerBase`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `RequestHandlerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD